<html>
  <head>
    <title>Google Charts Tutorial</title>
    <script
      type="text/javascript"
      src="https://www.gstatic.com/charts/loader.js"
    ></script>
    <script type="text/javascript">
      google.charts.load('current', { packages: ['corechart'] });
    </script>
  </head>

  <body>
    <h1
      style="
        display: inline-block;
        font-family: Arial;
        font-size: 16px;
        font-weight: bold;
        padding: 0px;
        margin: 0px;
        position: fixed;
        top: 119px;
        left: 169px;
        z-index: 100;
      "
    >
      <%- title %>
    </h1>
    <div id="container" style="width: 1000px; height: 800px;"></div>
    <span id="span"></span>
    <script language="JavaScript">
       function drawChart() {
         var response = <%- JSON.stringify(data); %>;
         var title = <%- JSON.stringify(title); %>;
         var titlev = <%- JSON.stringify(yAxisTitle); %>;
         var titleh = <%- JSON.stringify(xAxisTitle); %>;

         // Define the chart to be drawn.
         var data = google.visualization.arrayToDataTable(
           response,
           true
         );

         // Set chart options
         var options = {
           title: null,
           fontSize: '16',
           fontName: 'Arial',
           legend: {
             alignment: 'top',
             textStyle: { fontSize: 12 }
           },
           textStyle: {
             fontName: 'Arial',
             fontSize: 16,
             bold: true,
           },
           vAxis: {
       title: titlev,
             titleTextStyle: {
               fontName: 'Arial',
               fontSize: 12,
             },
             textStyle: {
               fontName: 'Arial',
               fontSize:12,
             },
             gridlines: {
               interval: [0, 1, 2, 3, 4, 5]
             },
             viewWindow: {
               min: 0,
               max: 5,
             },
             ticks: [0,1,2,3,4,5]
           },
           hAxis: {
      	title: titleh,
             titleTextStyle: {
               fontName: 'Arial',
               fontSize: 12,
             },
             textStyle: {
               fontName: 'Arial',
               fontSize: 12,
             },
      },
         //   candlestick: {
         //     fallingColor: { strokeWidth: 0, fill: '#3366CC' }, // red //214, 228, 193
         //     risingColor: { strokeWidth: 0, fill: '#3366CC' }, // green
         //   },
           colors: ['grey'],
           legend: 'none',
         };

         // Instantiate and draw the chart.
         var chart = new google.visualization.CandlestickChart(
           document.getElementById('container')
         );
         chart.draw(data, options);
         var span = document.getElementById('span');
         var span2 = document.createElement('span');
         span2.id = "new";
         span.appendChild(span2);
       }
       google.charts.setOnLoadCallback(drawChart);
    </script>
  </body>
</html>
